summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Koltsov <maksbotan@gentoo.org>2018-03-15 23:36:24 +0300
committerMaxim Koltsov <maksbotan@gentoo.org>2018-03-15 23:38:48 +0300
commit3fc960fbfc8ad6817e74586d29aed8537ed6b7c4 (patch)
tree8c7942e60dddace89c382304f4f3e3560f639c1e /dev-scheme
parentx11-wm/awesome: amd64 stable wrt bug #650524 (diff)
downloadgentoo-3fc960fbfc8ad6817e74586d29aed8537ed6b7c4.tar.gz
gentoo-3fc960fbfc8ad6817e74586d29aed8537ed6b7c4.tar.bz2
gentoo-3fc960fbfc8ad6817e74586d29aed8537ed6b7c4.zip
dev-scheme/chicken: bump to 4.13.0
Improvements - Use EAPI 6 - Don't pollute global scope - Remove runtime-dep-only USE emacs - Improve DESCRIPTION - Generate 'modules.db' in postinst Closes: https://bugs.gentoo.org/563374 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-scheme')
-rw-r--r--dev-scheme/chicken/Manifest1
-rw-r--r--dev-scheme/chicken/chicken-4.13.0.ebuild68
2 files changed, 69 insertions, 0 deletions
diff --git a/dev-scheme/chicken/Manifest b/dev-scheme/chicken/Manifest
index b6b60a2434a..fe253ca0bdf 100644
--- a/dev-scheme/chicken/Manifest
+++ b/dev-scheme/chicken/Manifest
@@ -1 +1,2 @@
DIST chicken-4.10.0.tar.gz 4020442 BLAKE2B 55502d71bc737f6d580d11e10f35e86d83d6fde383ea564c2367d8b66c21e7ba597cc1633ced51aa10f6b25e5f0ade401af41f8169347055e7e3ed4c7ed830d4 SHA512 ff3405652e232ba7b06a8d4fc092772259f0917b1cdd119c0cf38f27ba95fca99d2c053c0f08317014fd7085e8cf89f68b56f22cb82c2988914b972ce59e3e29
+DIST chicken-4.13.0.tar.gz 4244358 BLAKE2B c40a28346fb6cd144e33605235ed022d48103edd1db1ae35e109e266989caaa0bf8fabf75e8b9cb740ac8bf4e3fba74218763573485127acacd001b8767cd088 SHA512 02c2035b4f81da6f4af2d246361ce8debdc9d9c663c3f43b7afb9abbf1ff591a2bb8fa144511b4d747a373dea4dcd9c10cac48466bf97032db76f3830c08709d
diff --git a/dev-scheme/chicken/chicken-4.13.0.ebuild b/dev-scheme/chicken/chicken-4.13.0.ebuild
new file mode 100644
index 00000000000..5a9f20b3cdc
--- /dev/null
+++ b/dev-scheme/chicken/chicken-4.13.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit versionator
+
+MY_PV=$(get_version_component_range 1-3)
+DESCRIPTION="Scheme interpreter and native Scheme to C compiler"
+HOMEPAGE="http://www.call-cc.org/"
+SRC_URI="http://code.call-cc.org/releases/${MY_PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND=""
+RDEPEND=""
+
+# chicken's testsuite is not runnable before install
+# upstream has been notified of the issue
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ #Because chicken's Upstream is in the habit of using variables that
+ #portage also uses :( eg. $ARCH and $A
+ sed "s,A\(\s?=\|)\),chicken&," \
+ -i Makefile.cross-linux-mingw defaults.make rules.make || die
+ sed "s,ARCH,zARCH," \
+ -i Makefile.* defaults.make rules.make || die
+ sed -e "s,\$(PREFIX)/lib,\$(PREFIX)/$(get_libdir)," \
+ -e "s,\$(DATADIR)/doc,\$(SHAREDIR)/doc/${PF}," \
+ -i defaults.make || die
+
+ if ! use doc; then
+ rm -rf manual || die
+ # Without this Makefile tries to re-bootstrap the compiler
+ touch build-version.c
+ fi
+}
+
+src_compile() {
+ emake -j1 PLATFORM=linux PREFIX=/usr C_COMPILER_OPTIMIZATION_OPTIONS="${CFLAGS}" \
+ LINKER_OPTIONS="${LDFLAGS}" \
+ HOSTSYSTEM="${CBUILD}"
+}
+
+src_install() {
+ # still can't run make in parallel for the install target
+ emake -j1 PLATFORM=linux PREFIX=/usr DESTDIR="${D}" HOSTSYSTEM="${CBUILD}" \
+ LINKER_OPTIONS="${LDFLAGS}" install
+
+ rm "${D}"/usr/share/doc/${PF}/LICENSE || die
+
+ # README is installed by Makefile
+ dodoc NEWS
+
+ # Let portage track this file (created later)
+ touch "${D}"/usr/$(get_libdir)/chicken/8/modules.db || die
+}
+
+pkg_postinst() {
+ # Create modules.db file in ${ROOT}
+ chicken-install -update-db || die
+}